﻿@using Microsoft.AspNetCore.Html;
@{
    //Layout = "~/" + Variables.RaoVat_ViewTemplate_SharedLayoutPage_Folder + "_Layout_2.cshtml";
    ViewData["Title"] = "Template preview page";
    var defaultComponentName = "Banner_1";
}

<div class="row">
    <div class="col-sm-2">

        @{
            if (ViewBag.lstComponent != null)
            {
                string strChecked = "";

                foreach (var comp in ViewBag.lstComponent)
                {
                    if(comp.PathLoad == defaultComponentName)
                    {
                        strChecked = "checked";
                    }
                    else
                    {
                        strChecked = "";
                    }
                    <input type="checkbox" name="ckbViewComponent" title="@comp.Description" value="@comp.Id" @strChecked><span title="@comp.Description"> @comp.Name </span><br/>
                }

                <div onclick="fnRenderComponent('regionComponent')" class="btn btn-primary"> Render >> </div>
            }
        }                                
    </div>

    <div class="col-sm-10" id="regionComponent">
        @await Html.PartialAsync(defaultComponentName)
    </div>
</div>

@*@section Scripts{ 
    // Xử lý load động bằng cách unique tât cả các requireJS & requireCss từ db NewPageLayout
    <script type="text/javascript" async src="~/js/owl.carousel.min.js"></script>
}*@

<script type="text/javascript">
    function fnRenderComponent(regionId) {

        var checkedVal = "";
        var response = "";
        var loadedCount = 0;
        document.getElementById(regionId).innerHTML = "";
        var checkedViewComponent = $('input[name=ckbViewComponent]:checked');

        if (checkedViewComponent) {
            var id;
            checkedViewComponent.each(function () {

                id = $(this).val();
                var xhttp = new XMLHttpRequest();
                xhttp.open("GET", @Html.Raw( "\"" + Variables.RaoVat_Controller_RenderComponentById + "\"") + id, true);
                xhttp.setRequestHeader("Content-type", "application/json");

                xhttp.onload = function (e) {
                    if (xhttp.readyState === 4) {
                        if (xhttp.status === 200) {
                            response = xhttp.responseText;  
                            document.getElementById(regionId).innerHTML += response;
                        } else {
                            console.error(xhttp.statusText);
                        }
                    }
                };
                xhttp.onerror = function (e) {
                    console.error(xhttp.statusText);
                };

                xhttp.send();
            });
            
        }        
    }

    //function httpGet(method, link, async) {
    //    var response;
    //    var xhttp = new XMLHttpRequest();
    //    xhttp.open(method, link, async);
    //    xhttp.setRequestHeader("Content-type", "application/json");

    //    xhttp.onload = function (e) {
    //        if (xhttp.readyState === 4) {
    //            if (xhttp.status === 200) {
    //                response = xhttp.responseText;
    //                return response;
    //            } else {
    //                console.error(xhttp.statusText);
    //            }
    //        }
    //    };

    //    xhttp.onerror = function (e) {
    //        console.error(xhttp.statusText);
    //    };

    //    xhttp.send();
    //}


</script>
